Package com.documentum.operations

# Interface IDfCheckoutNode

All Superinterfaces:
  `IDfOperationNode`

public interface IDfCheckoutNode extends IDfOperationNode
Represents an object in a checkout operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfEnumeration`
  `getAcsRequests()`
  Returns an `IDfEnumeration` object with a list of `IDfAcsRequest` objects.
  `IDfAcsTransferPreferences`
  `getAcsTransferPreferences()`
  Returns the `IDfAcsTransferPreferences` object to be used.
  `String`
  `getDefaultFormat()`
  Returns the default content file format for this object in the repository.
  `String`
  `getFilePath()`
  Returns the content file path in the local file system for this node.
  `String`
  `getFormat()`
  Returns the repository format name for the local content file of this object.
  `int`
  `getMacOption()`
  Returns the setting for Macintosh handling for this node.
  `String`
  `getMacResourceFilePath()`
  Returns the file path to the resource fork for this node.
  `IDfSysObject`
  `getObject()`
  Returns the IDfSysObject that is the subject of this operation node.
  `IDfId`
  `getObjectId()`
  Returns the repository object Id of the IDfSysObject for this node.
  `void`
  `setAcsTransferPreferences(IDfAcsTransferPreferences acsTransferPreferences)`
  Sets `IDfAcsTransferPreferences` object to be used.
  `void`
  `setDownloadContent(boolean downloadContent)`
  If you do not want to download content, set this to false.
  `void`
  `setExportDescendants(boolean exportDescendants)`
  If the object corresponding to this node is added as a virtual document, passing `true` will cause the object to be checked out, but all the descendants will be downloaded but not checked out.
  `void`
  `setFilePath(String newFilePath)`
  Sets the local path to the file that contains the content of this node.
  `void`
  `setFormat(String formatName)`
  Sets the repository format name of the local content file for this object.
  `void`
  `setMacOption(int option)`
  Sets the Macintosh behavior options for this node.
  `void`
  `setMacResourceFilePath(String resourceForkFilePath)`
  Specifies the file path to use to store the resource fork information.
  `boolean`
  `shouldDownloadContent()`
  Returns false if download content is set to false, true otherwise.

  ### Methods inherited from interface com.documentum.operations.IDfOperationNode

  `getChildren, getEdgeProperties, getId, getOperation, getParent, getPersistentProperties, getProperties, isRoot`

- ## Method Details

  - ### getObject

    IDfSysObject getObject() throws DfException
    Returns the IDfSysObject that is the subject of this operation node.
    Returns:
      IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject`

  - ### getObjectId

    IDfId getObjectId() throws DfException
    Returns the repository object Id of the IDfSysObject for this node.
    Returns:
      object Id of the IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfTypedObject.getObjectId()`

  - ### getFilePath

    String getFilePath() throws DfException
    Returns the content file path in the local file system for this node. Returns null if the node object does not have a local content file.
    Returns:
      the content file path in the local file system for this node.
    Throws:
      `DfException`

  - ### setFilePath

    void setFilePath(String newFilePath) throws DfException
    Sets the local path to the file that contains the content of this node.
    Parameters:
      `newFilePath` - file path in the local file system.
    Throws:
      `DfException`

  - ### getFormat

    String getFormat() throws DfException
    Returns the repository format name for the local content file of this object.
    Returns:
      repository format name (for example, msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`

  - ### getDefaultFormat

    String getDefaultFormat() throws DfException
    Returns the default content file format for this object in the repository. The default format is generally the primary rendition of the object, the value returned from IDfSysObject.getContentType().
    Returns:
      repository format name (for example, msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`

  - ### setFormat

    void setFormat(String formatName) throws DfException
    Sets the repository format name of the local content file for this object.
    Parameters:
      `formatName` - repository format name (for example, msw6).
    Throws:
      `DfException`
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`

  - ### setMacResourceFilePath

    void setMacResourceFilePath(String resourceForkFilePath)
    Specifies the file path to use to store the resource fork information.
    Parameters:
      `resourceForkFilePath` -
    Since:
      DFC 5.2.5

  - ### getMacResourceFilePath

    String getMacResourceFilePath()
    Returns the file path to the resource fork for this node. Returns null if the node object does not have a resource fork file.
    Returns:
      the resource fork file path in the local file system for this node.
    Since:
      DFC 5.2.5

  - ### getMacOption

    int getMacOption()
    Returns the setting for Macintosh handling for this node.

    Possible values include:

                        IGNORE_RESOURCE_FORK - No resource fork is output, even if the
                                         resource fork is present in the repository.
                        USE_RESOURCE_FORK_IF_AVAILABLE - Resource fork is downloaded only if one is
                                                   already available in repository.
                        REQUIRE_RESOURCE_FORK - Resource fork is required. An error will be generated if
                                          the resource fork is not available in the repository.
                        GENERATE_RESOURCE_FORK - A resource fork will be generated if it is not explicitly
                                           available.

    Returns:
      the setting for Macintosh handling for this node. If no Macintosh option is set via setMacOption(), then RESOURCE_FORK_UNDEFINED will be returned.
    Since:
      DFC 5.2.5

  - ### setMacOption

    void setMacOption(int option)
    Sets the Macintosh behavior options for this node.

    Possible values include:

                        IGNORE_RESOURCE_FORK - No resource fork is output, even if the resource
                                     fork is present in the repository.
                        USE_RESOURCE_FORK_IF_AVAILABLE - Resource fork will be downloaded only if one is
                                                   already available in repository.
                        REQUIRE_RESOURCE_FORK - Resource fork is required. An error will be generated if
                                          the resource fork is not available in the repository.
                        GENERATE_RESOURCE_FORK - A resource fork will be generated if it is not explicitly
                                           available.

    Parameters:
      `option` - - possible values: IGNORE_RESOURCE_FORK, USE_RESOURCE_FORK_IF_AVAILABLE, REQUIRE_RESOURCE_FORK, GENERATE_RESOURCE_FORK.
    Since:
      DFC 5.2.5

  - ### setDownloadContent

    void setDownloadContent(boolean downloadContent)
    If you do not want to download content, set this to false. The default value is true.
    Parameters:
      `downloadContent` - if false the content will not be downloaded.
    Since:
      5.3

  - ### shouldDownloadContent

    boolean shouldDownloadContent()
    Returns false if download content is set to false, true otherwise. The default value is true.
    Returns:
      false if download content is set to false, true otherwise.
    Since:
      5.3

  - ### setExportDescendants

    void setExportDescendants(boolean exportDescendants) throws DfException
    If the object corresponding to this node is added as a virtual document, passing `true` will cause the object to be checked out, but all the descendants will be downloaded but not checked out. The descendants are downloaded as read-only. Pass `true` to download descendants but not check them out. The default is to download and checkout descendants.
    Parameters:
      `exportDescendants` - if true the object corresponding to this node will be checked out, but not the descendants.
    Throws:
      `DfException`
    Since:
      5.3

  - ### getAcsTransferPreferences

    IDfAcsTransferPreferences getAcsTransferPreferences()
    Returns the `IDfAcsTransferPreferences` object to be used.
    Returns:
      IDfAcsTransferPreferences to be used.
    Since:
      5.3 sp1.

  - ### setAcsTransferPreferences

    void setAcsTransferPreferences(IDfAcsTransferPreferences acsTransferPreferences)
    Sets `IDfAcsTransferPreferences` object to be used.
    Parameters:
      `acsTransferPreferences` - `IDfAcsTransferPreferences` object to be used
    Since:
      5.3 sp1.

  - ### getAcsRequests

    IDfEnumeration getAcsRequests() throws DfException
    Returns an `IDfEnumeration` object with a list of `IDfAcsRequest` objects. `IDfAcsRequest` objects record information about a client application's request to an ACS server.
    Returns:
      `IDfEnumeration` of `IDfAcsRequest` objects
    Throws:
      `DfException`
    Since:
      5.3 sp1